> ## Documentation Index
> Fetch the complete documentation index at: https://developers.onidel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a measured boot image

> Upload a UKI (unified kernel image bundling kernel, initrd and cmdline)
for SEV-SNP measured direct boot. Subject to the maximum file size limit.



## OpenAPI

````yaml /api-reference/openapi.yaml post /measured-boot-images
openapi: 3.0.3
info:
  title: Onidel Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **Onidel Cloud API** documentation. This API allows
    developers to seamlessly integrate with the Onidel Cloud platform, enabling
    them to manage cloud resources efficiently and securely. With our API, you
    can automate processes, retrieve detailed account information, and manage
    virtual machines (VPS), networking, storage, and more.
  termsOfService: https://docs.onidel.com/policies/terms-of-service
  contact:
    email: support@onidel.com
  version: 1.2.0
servers:
  - url: https://api.cloud.onidel.com
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
  - name: Custom ISO
    description: Manage custom ISO images that can be used to boot server instances (BYOI).
  - name: Measured Boot Image
    description: >-
      Manage SEV-SNP measured direct boot images (UKIs) and attach/detach them
      to instances.
paths:
  /measured-boot-images:
    post:
      tags:
        - Measured Boot Image
      summary: Upload a measured boot image
      description: >-
        Upload a UKI (unified kernel image bundling kernel, initrd and cmdline)

        for SEV-SNP measured direct boot. Subject to the maximum file size
        limit.
      operationId: uploadMeasuredBootImage
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
                  description: The UKI file.
                team_id:
                  type: string
                  format: uuid
                  description: Team ID. Default team will be used if not provided.
                  example: 96616865-475e-4191-aba5-f89f0a4b71fe
                description:
                  type: string
                  description: Optional description.
                  example: debian-12 measured boot
      responses:
        '201':
          description: Image uploaded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MeasuredBootImage'
        '400':
          description: Bad request (no file or file too big)
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - api_key: []
components:
  schemas:
    MeasuredBootImage:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 7c1f2a90-4b3d-4e21-9a8c-1d2e3f4a5b6c
        filename:
          type: string
          example: debian-12.uki.efi
        description:
          type: string
          example: debian-12 measured boot
        size:
          type: integer
          format: int64
          description: Size in bytes.
          example: 52428800
        created:
          type: string
          format: datetime
          example: '2025-01-05T13:00:20.010Z'
  securitySchemes:
    api_key:
      type: http
      scheme: bearer

````